LibreOffice: UserDefinedIndex Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Public Types | Included Services | Public Attributes | List of all members
UserDefinedIndex Service Referencepublished

specifies service of user defined indexes within a document. More...

Inheritance diagram for UserDefinedIndex:

## Public Types
typedef sequence< com::sun::star::text::XDocumentIndexMark > | DocumentIndexMarks
| contains all index marks that are related to this index.

## Included Services
service | com::sun::star::text::BaseIndex

## Public Attributes
com::sun::star::container::XIndexReplace | LevelParagraphStyles
| contains the interface to access the paragraph style names that are included in this index.
boolean | CreateFromMarks
| determines if the document index marks are included in this index.
boolean | UseLevelFromSource
| determines if the outline level of the location of the indexed object is used as index level of the index entry.
boolean | CreateFromTables
| determines if tables are included in the index.
boolean | CreateFromTextFrames
| determines if text frames are included in the index.
boolean | CreateFromGraphicObjects
| determines if graphic objects are included in the index.
boolean | CreateFromEmbeddedObjects
| determines if embedded objects are included in the index.
Public Attributes inherited from BaseIndex
string | Title
| contains the title of the index.
boolean | IsProtected
| determines if the index is protected.
string | ParaStyleHeading
| contains the name of the paragraph style that is applied to the heading.
string | ParaStyleLevel1
| contains the name of the paragraph style that is applied to the 1st level.
string | ParaStyleLevel2
| contains the name of the paragraph style that is applied to the 2nd level.
string | ParaStyleLevel3
| contains the name of the paragraph style that is applied to the 3rd level.
string | ParaStyleLevel4
| contains the name of the paragraph style that is applied to the 4th level.
string | ParaStyleLevel5
| contains the name of the paragraph style that is applied to the 5th level.
string | ParaStyleLevel6
| contains the name of the paragraph style that is applied to the 6th level.
string | ParaStyleLevel7
| contains the name of the paragraph style that is applied to the 7th level.
string | ParaStyleLevel8
| contains the name of the paragraph style that is applied to the 8th level.
string | ParaStyleLevel9
| contains the name of the paragraph style that is applied to the 9th level.
string | ParaStyleLevel10
| contains the name of the paragraph style that is applied to the 10th level.
string | ParaStyleSeparator
| contains the name of the paragraph style that is applied to the separator level.
XTextColumns | TextColumns
| contains the column interface.
string | BackGraphicURL
| contains the URL of a graphic file that is displayed as background graphic
string | BackGraphicFilter
| contains the name of the filter of the graphic file that is displayed as background graphic
com::sun::star::style::GraphicLocation | BackGraphicLocation
| determines the position of the background graphic.
com::sun::star::util::Color | BackColor
| specifies the color of the background.
boolean | BackTransparent
| If `TRUE`, the background color value in "BackColor" is not visible.
com::sun::star::container::XIndexReplace | LevelFormat
| returns the interface of the level format of the index.
boolean | CreateFromChapter
| determines if the content of the document index is created from the complete document content or from the current chapter only.
com::sun::star::text::XTextSection | ContentSection
| the text section containing the content of the index
com::sun::star::text::XTextSection | HeaderSection
| the text section containing the header of the index
com::sun::star::graphic::XGraphic | BackGraphic
| contains the graphic object that is displayed as background graphic.

## Additional Inherited Members
Exported Interfaces inherited from BaseIndex
interface | com::sun::star::text::XDocumentIndex
interface | com::sun::star::util::XRefreshable
Public Member Functions inherited from XDocumentIndex
string | getServiceName ()
| returns the service name that was used to create this document index type.
void | update ()
| initiates an update to the document index.
Public Member Functions inherited from XTextContent
void | attach ([in] com::sun::star::text::XTextRange xTextRange) raises ( com::sun::star::lang::IllegalArgumentException )
| is called when this object gets embedded in a text.
com::sun::star::text::XTextRange | getAnchor ()
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Protected Member Functions inherited from XRefreshable
void | refresh ()
| refreshes the data of the object from the connected data source.
void | addRefreshListener ([in] com::sun::star::util::XRefreshListener l)
| adds the specified listener to receive the event "refreshed."
void | removeRefreshListener ([in] com::sun::star::util::XRefreshListener l)
| removes the specified listener.

## Detailed Description

specifies service of user defined indexes within a document.

See also
  com::sun::star::text::BaseIndex

## Member Typedef Documentation

## ◆ DocumentIndexMarks

sequence<com::sun::star::text::XDocumentIndexMark> DocumentIndexMarks
| propertyreadonly

contains all index marks that are related to this index.

## Exported Interfaces

## ◆ com::sun::star::text::BaseIndex

service com::sun::star::text::BaseIndex

## Member Data Documentation

## ◆ CreateFromEmbeddedObjects

boolean CreateFromEmbeddedObjects
| optionalproperty

determines if embedded objects are included in the index.

## ◆ CreateFromGraphicObjects

boolean CreateFromGraphicObjects
| optionalproperty

determines if graphic objects are included in the index.

## ◆ CreateFromMarks

boolean CreateFromMarks
| optionalproperty

determines if the document index marks are included in this index.

## ◆ CreateFromTables

boolean CreateFromTables
| optionalproperty

determines if tables are included in the index.

## ◆ CreateFromTextFrames

boolean CreateFromTextFrames
| optionalproperty

determines if text frames are included in the index.

## ◆ LevelParagraphStyles

com::sun::star::container::XIndexReplace LevelParagraphStyles
| optionalproperty

contains the interface to access the paragraph style names that are included in this index.

See also
  DocumentIndexParagraphStyles

## ◆ UseLevelFromSource

boolean UseLevelFromSource
| optionalproperty

determines if the outline level of the location of the indexed object is used as index level of the index entry.

The documentation for this service was generated from the following file:

- com/sun/star/text/UserDefinedIndex.idl